<?php
$header_button_text        = sleeky_get_options( 'header_button_text' );
$header_button_url         = sleeky_get_options( 'header_button_url' );
$header_user_account       = sleeky_get_options( 'header_user_account' );
$header_user_url           = sleeky_get_options( 'header_user_url' );
$header_cart               = sleeky_get_options( 'header_cart' );
$sticky_header_on_off      = sleeky_get_options( 'sticky_header_on_off' );
$hotline_order_title       = sleeky_get_options( 'hotline_order_title' );
$header_language_on_off    = sleeky_get_options( 'header_language_on_off' );
$hotline_order_number      = sleeky_get_options( 'hotline_order_number' );
$language_repeater_setting = sleeky_get_options( 'language_repeater_setting' );

$explode_number = explode( ' ', $hotline_order_number );
$implode_number = implode( '', $explode_number );
?>
<!-- main header -->
<header class="main-header header-style-two header-style-three">
	<!-- header-lower -->
	<div class="header-lower">
		<div class="large-container">
			<div class="outer-box clearfix">
				<div class="left-column pull-left">
					<div class="logo-box">
						<figure class="logo">
							<?php do_action( 'sleeky_header_logo' ); ?>
						</figure>
					</div>
					<?php if ( ! empty( $hotline_order_title ) ) { ?>
					<div class="support-box">
						<div class="icon"><i class="fa fa-phone"></i></div>
						<span><?php echo wp_kses( $hotline_order_title, 'code_contxt' ); ?></span>
						<h3><a href="tel:<?php echo esc_attr( $implode_number ); ?>"><?php echo wp_kses( $hotline_order_number, 'code_contxt' ); ?></a></h3>
					</div>
					<?php } ?>
				</div>
				<div class="right-column pull-right clearfix">
					<div class="menu-area pull-left">
						<!--Mobile Navigation Toggler-->
						<div class="mobile-nav-toggler">
							<i class="icon-bar"></i>
							<i class="icon-bar"></i>
							<i class="icon-bar"></i>
						</div>
						<nav class="main-menu navbar-expand-md navbar-light">
							<div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
								<?php do_action( 'sleeky_header_menu' ); ?>
							</div>
						</nav>
					</div>
					<?php if ( $header_user_account == '1' || $header_cart == '1' || $header_language_on_off == '1' ) { ?>
					<div class="nav-right pull-left">
						<div class="info-box">
							<?php if ( $header_user_account == '1' ) { ?>
							<div class="user-link"><a href="<?php echo esc_url( $header_user_url ); ?>"><i class="fa fa-user-alt"></i></a></div>
							<?php } ?>
							<?php if ( $header_cart == '1' ) : ?>
								<?php
								if ( class_exists( 'WooCommerce' ) ) :
									$items_count = WC()->cart->get_cart_contents_count();
									?>
							<div class="cart-box">
								<a href="<?php echo get_permalink( wc_get_page_id( 'cart' ) ); ?>"><i class="fa fa-shopping-cart"></i>
									<?php if ( $items_count > 0 ) : ?>
									<span><?php echo esc_html( $items_count ); ?></span>
								<?php endif; ?>
								</a>
							</div>
									<?php
								endif;
							endif;
							?>
							<?php if ( $header_language_on_off == '1' ) : ?>
							<div class="language">
								<select class="selectpicker" name="make">
									<?php
									$i = 1;
									foreach ( $language_repeater_setting as $language_rep_setting ) {
										if ( $i == '1' ) {
											?>
										<option value="*"><?php echo ucfirst( $language_rep_setting['language_name'] ); ?></option>
										<?php } else { ?>
										<option value=".<?php echo wp_kses( $language_rep_setting['language_name'], 'code_contxt' ); ?>"><?php echo ucfirst( $language_rep_setting['language_name'] ); ?></option>
											<?php
										}
										$i++; }
									?>
								</select>
							</div>
							<?php endif; ?>
						</div>
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
	<?php if ( $sticky_header_on_off == '1' ) { ?>
	<!--sticky Header-->
	<div class="sticky-header">
		<div class="large-container">
			<div class="outer-box">
				<div class="menu-area pull-left">
					<div class="logo-box">
						<figure class="logo"><?php do_action( 'sleeky_header_logo' ); ?></figure>
					</div>
					<nav class="main-menu clearfix">
						<!--Keep This Empty / Menu will come through Javascript-->
					</nav>
				</div>
				<?php if ( $header_user_account == '1' || $header_cart == '1' || $header_language_on_off == '1' ) { ?>
				<div class="nav-right pull-right">
					<div class="info-box">
					<?php if ( $header_user_account == '1' ) { ?>
						<div class="user-link"><a href="<?php echo esc_url( $header_user_url ); ?>"><i class="fa fa-user-alt"></i></a></div>
						<?php } ?>
						<?php if ( $header_cart == '1' ) : ?>
							<?php
							if ( class_exists( 'WooCommerce' ) ) :
								$items_count = WC()->cart->get_cart_contents_count();
								?>
						<div class="cart-box">
							<a href="<?php echo get_permalink( wc_get_page_id( 'cart' ) ); ?>"><i class="fa fa-shopping-cart"></i>
								<?php if ( $items_count > 0 ) : ?>
								<span><?php echo esc_html( $items_count ); ?></span>
							<?php endif; ?>
							</a>
						</div>
								<?php
							endif;
						endif;
						?>
						 
						<?php if ( $header_language_on_off == '1' ) : ?>
						<div class="language">
							<select class="selectpicker" name="make">
								<?php
								$i = 1;
								foreach ( $language_repeater_setting as $language_rep_setting ) {
									if ( $i == '1' ) {
										?>
									<option value="*"><?php echo ucfirst( $language_rep_setting['language_name'] ); ?></option>
									<?php } else { ?>
									<option value=".<?php echo wp_kses( $language_rep_setting['language_name'], 'code_contxt' ); ?>"><?php echo ucfirst( $language_rep_setting['language_name'] ); ?></option>
										<?php
									}
									$i++; }
								?>
							</select>
						</div>
						<?php endif; ?>
					</div>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
	<?php } ?>
</header>
<!-- main-header end -->
<!-- Mobile Menu  -->
<?php
	do_action( 'sleeky_mobile_menu' );
?>
<!-- End Mobile Menu -->
<?php

$header_bottom_category = get_post_meta( get_the_ID(), 'sleeky_core_header_bottom_category_template', true );
if ( $header_bottom_category ) {
	$header_bottom_category_template = $header_bottom_category;
} else {
	$header_bottom_category_template = sleeky_get_options( 'header_bottom_category' );
}

if ( class_exists( '\\Elementor\\Plugin' ) ) {
	$pluginElementor           = \Elementor\Plugin::instance();
	$sleeky_all_ssave_elements = $pluginElementor->frontend->get_builder_content( $header_bottom_category_template );
	echo do_shortcode( $sleeky_all_ssave_elements );
}
