<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package sleeky
 */
$footer_widget_elementor_meta = get_post_meta( get_the_ID(), 'sleeky_core_footer_template', true );
if ( $footer_widget_elementor_meta ) {
	$footer_widget_elementor = $footer_widget_elementor_meta;
} else {
	$footer_widget_elementor = sleeky_get_options( 'footer_template' );
}

$footer_copyright   = sleeky_get_options( 'footer_copyright' );
$theme_base_css     = sleeky_get_options( 'theme_base_css' );
$footer_logo_on_off = sleeky_get_options( 'footer_logo_on_off' );

$footer_style_meta = get_post_meta( get_the_ID(), 'sleeky_core_footer_style', true );
if ( $footer_style_meta ) {
	$footer_style = $footer_style_meta;
} else {
	$footer_style = sleeky_get_options( 'footer_style' );
}
$footer_class = 'main-footer';
if ( $footer_style == '2' ) {
	$footer_class = 'footer-style-two';
} elseif ( $footer_style == '3' ) {
	$footer_class = 'footer-style-three';
} elseif ( $footer_style == '4' ) {
	$footer_class = 'footer-style-two footer-style-four';
}

$footer_logo_image = sleeky_get_options( 'footer_logo_image' );
if ( isset( $footer_logo_image['url'] ) ) {
	$footer_logo_image = $footer_logo_image['url'];
}

$footer_logo_shape_image = sleeky_get_options( 'footer_logo_shape_image' );
if ( isset( $footer_logo_shape_image['url'] ) ) {
	$footer_logo_shape_image = $footer_logo_shape_image['url'];
}
$footer_template = '';
if ( $footer_widget_elementor != '' ) {
	$footer_template = 'footer-top-enable';
}

$sleeky_core_header_logo       = get_post_meta( get_the_ID(), 'sleeky_core_footer_logo', array( 'size' => 'full' ) );
$sleeky_core_footer_shape_logo = get_post_meta( get_the_ID(), 'sleeky_core_footer_shape_logo', array( 'size' => 'full' ) );
$sleeky_core_footer_shape_two  = get_post_meta( get_the_ID(), 'sleeky_core_footer_shape_two', array( 'size' => 'full' ) );


?>
					
<footer class="<?php echo esc_attr( $footer_class ); ?>">
	<?php
	if ( $footer_style == '2' ) {
		if ( ! empty( $sleeky_core_footer_shape_logo ) ) {
			?>
	<div class="pattern-layer" style="background-image: url(<?php echo esc_url( wp_get_attachment_url( $sleeky_core_footer_shape_logo ) ); ?>);"></div>
	
	<div class="pattern-layer-2" style="background-image: url(<?php echo esc_url( wp_get_attachment_url( $sleeky_core_footer_shape_two ) ); ?>);"></div>
			<?php
		}
	}
	if ( $footer_style == '4' ) {
		?>
	<div class="pattern-layer-3" style="background-image: url(<?php echo esc_url( wp_get_attachment_url( $sleeky_core_footer_shape_logo ) ); ?>);"></div>
	<?php } ?>
	<div class="large-container">
		<?php
		if ( $footer_logo_on_off == '1' ) {
			if ( $footer_style == '1' ) {
				?>
		<div class="footer-logo">
			<figure class="logo">
				<?php
				if ( ! empty( $sleeky_core_footer_shape_logo ) ) {
					?>
				<div class="logo-shape" style="background-image: url(<?php echo esc_url( wp_get_attachment_url( $sleeky_core_footer_shape_logo ) ); ?>);"></div>
					<?php
				} elseif ( ! empty( $footer_logo_shape_image ) ) {
					?>
				<div class="logo-shape" style="background-image: url(<?php echo esc_url( $footer_logo_shape_image ); ?>);"></div>
					<?php
				} else {
					?>
				<div class="logo-shape" style="background-image: url(<?php echo esc_url( SLEEKY_IMG_URL . 'shape-1.png' ); ?>);"></div>
				<?php } ?>
				<?php
				if ( ! empty( $sleeky_core_header_logo ) ) {
					?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $sleeky_core_header_logo ); ?>" alt="<?php esc_attr_e( 'Footer Logo', 'sleeky' ); ?>"></a>
				<?php } elseif ( ! empty( $footer_logo_image ) ) { ?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $footer_logo_image ); ?>" alt="<?php esc_attr_e( 'Footer Logo', 'sleeky' ); ?>"></a>
					<?php
				} else {
					?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( SLEEKY_IMG_URL . 'footer-logo.png' ); ?>" alt="<?php esc_attr_e( 'Footer Logo', 'sleeky' ); ?>"></a>
					<?php } ?>
			</figure>
		</div>
		<?php } ?>
			<?php
			get_template_part( 'components/footer/footer-top' );
			?>
		<?php } ?>
		<div class="copyright centred <?php echo esc_attr( $footer_template ); ?>">
			<p>
			<?php
			if ( $footer_copyright != '' ) :
				echo wp_kses( $footer_copyright, 'code_contxt' );
			else :
				esc_html_e( '&copy; 2022 Sleeky by SmartDatasoft All Rights Reserved', 'sleeky' );
			endif;
			?>
			</p>
		</div>
	</div>
</footer>
<?php
do_action( 'sleeky_back_to_top' );
?>
</div>
<?php wp_footer(); ?>
</body>
</html>
