<?php
$opt_pref = 'sleeky_theme_option';

Kirki::add_panel(
	$opt_pref,
	array(
		'priority' => 10,
		'title'    => esc_html__( 'Sleeky Option', 'sleeky' ),
	)
);


Kirki::add_section(
	'theme_base',
	array(
		'title' => esc_html__( 'Theme Base Option', 'sleeky' ),
		'panel' => $opt_pref,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'preloader_on_off',
		'label'    => esc_html__( 'Preloader On/Off', 'sleeky' ),
		'section'  => 'theme_base',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'sticky_header_on_off',
		'label'    => esc_html__( 'Sticky Header On/Off', 'sleeky' ),
		'section'  => 'theme_base',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'back_to_top_on_off',
		'label'    => esc_html__( 'Back To Top On/Off', 'sleeky' ),
		'section'  => 'theme_base',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'theme_base_css',
		'label'    => esc_html__( 'Theme base css On/Off', 'sleeky' ),
		'section'  => 'theme_base',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);



// Header Top Section Area

Kirki::add_section(
	'header_section',
	array(
		'title' => esc_html__( 'Header Section', 'sleeky' ),
		'panel' => $opt_pref,

	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'select',
		'settings'    => 'header_style',
		'label'       => esc_html__( 'Header Style', 'sleeky' ),
		'section'     => 'header_section',
		'placeholder' => esc_html__( 'Select an style', 'sleeky' ),
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => array(
			'1' => esc_html__( 'Style One', 'sleeky' ),
			'2' => esc_html__( 'Style Two', 'sleeky' ),
			'3' => esc_html__( 'Style Three', 'sleeky' ),
			'4' => esc_html__( 'Style Four', 'sleeky' ),
			'5' => esc_html__( 'Style Five', 'sleeky' ),
			'6' => esc_html__( 'Style Six', 'sleeky' ),
			'7' => esc_html__( 'Style Seven', 'sleeky' ),
		),
		'default'     => '1',
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'select',
		'settings' => 'header_widget_elementor',
		'label'    => esc_html__( 'Header builder widget', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
		'choices'  => sleeky_elementor_library(),
		'required' => array(
			array(
				'setting'  => 'header_style',
				'operator' => '==',
				'value'    => '7',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'select',
		'settings' => 'header_bottom_category',
		'label'    => esc_html__( 'Header Bottom Category', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
		'choices'  => sleeky_elementor_library(),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'header_button_text',
		'label'    => esc_html__( 'Header Button Text', 'sleeky' ),
		'section'  => 'header_section',
		'default'  => esc_html__( 'order online', 'sleeky' ),
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'url',
		'settings' => 'header_button_url',
		'label'    => esc_html__( 'Header Button URL', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'header_user_account',
		'label'    => esc_html__( 'Header User On/Off', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'header_user_url',
		'label'    => esc_html__( 'Header User URL', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'header_cart',
		'label'    => esc_html__( 'Header Cart On/Off', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'hotline_order_title',
		'label'    => esc_html__( 'Hotline Order Title', 'sleeky' ),
		'section'  => 'header_section',
		'default'  => esc_html__( 'HOTLINE ORDER', 'sleeky' ),
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'hotline_order_number',
		'label'    => esc_html__( 'Hotline Order Number', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'header_language_on_off',
		'label'    => esc_html__( 'Language On/Off', 'sleeky' ),
		'section'  => 'header_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'         => 'repeater',
		'label'        => esc_html__( 'Language Item', 'sleeky' ),
		'section'      => 'header_section',
		'priority'     => 10,
		'row_label'    => array(
			'type'  => 'text',
			'value' => esc_html__( 'Item', 'sleeky' ),
		),
		'button_label' => esc_html__( 'Add New', 'sleeky' ),
		'settings'     => 'language_repeater_setting',
		'fields'       => array(
			'language_name' => array(
				'type'        => 'text',
				'label'       => esc_html__( 'Language Input', 'sleeky' ),
				'description' => esc_html__( 'Please input the language name', 'sleeky' ),
				'default'     => '',
			),
		),
		'required'     => array(
			array(
				'setting'  => 'header_language_on_off',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);



Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'image',
		'settings'    => 'header_five_logo_shape_img',
		'label'       => esc_html__( 'Logo Shape Image', 'sleeky' ),
		'description' => esc_html__( 'Description Here.', 'sleeky' ),
		'section'     => 'header_section',
		'default'     => esc_url( SLEEKY_IMG_URL . 'shape-1.png' ),
		'choices'     => array(
			'save_as' => 'array',
		),
		'required'    => array(
			array(
				'setting'  => 'header_style',
				'operator' => '==',
				'value'    => '5',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'image',
		'settings'    => 'header_sticky_logo',
		'label'       => esc_html__( 'Sticky Logo', 'sleeky' ),
		'description' => esc_html__( 'Description Here.', 'sleeky' ),
		'section'     => 'header_section',
		'default'     => esc_url( SLEEKY_IMG_URL . 'logo-2.png' ),
		'choices'     => array(
			'save_as' => 'array',
		),
		'required'    => array(
			array(
				'setting'  => 'sticky_header_on_off',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);


Kirki::add_section(
	'header_sidebar_menu',
	array(
		'title' => esc_html__( 'Header Sidebar', 'sleeky' ),
		'panel' => $opt_pref,

	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'mobile_menu_onoff',
		'label'    => esc_html__( 'Mobile Menu on off switch', 'sleeky' ),
		'section'  => 'header_sidebar_menu',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'image',
		'settings'    => 'side_mobile_logo',
		'label'       => esc_html__( 'Mobile Logo', 'sleeky' ),
		'description' => esc_html__( 'Description Here.', 'sleeky' ),
		'section'     => 'header_sidebar_menu',
		'default'     => esc_url( SLEEKY_IMG_URL . 'logo-2.png' ),
		'choices'     => array(
			'save_as' => 'array',
		),
		'required'    => array(
			array(
				'setting'  => 'mobile_menu_onoff',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'sid_menu_info_title',
		'label'    => esc_html__( 'Contact Title', 'sleeky' ),
		'section'  => 'header_sidebar_menu',
		'default'  => esc_html__( 'Contact Info', 'sleeky' ),
		'priority' => 10,
		'required' => array(
			array(
				'setting'  => 'mobile_menu_onoff',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'textarea',
		'settings' => 'side_address',
		'label'    => esc_html__( 'Address', 'sleeky' ),
		'section'  => 'header_sidebar_menu',
		'default'  => esc_html__( 'Chicago 12, Melborne City, USA', 'sleeky' ),
		'priority' => 10,
		'required' => array(
			array(
				'setting'  => 'mobile_menu_onoff',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'side_number',
		'label'    => esc_html__( 'Phone Numbere', 'sleeky' ),
		'section'  => 'header_sidebar_menu',
		'default'  => esc_html__( '+88 01682648101', 'sleeky' ),
		'priority' => 10,
		'required' => array(
			array(
				'setting'  => 'mobile_menu_onoff',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'side_email',
		'label'    => esc_html__( 'E-Mail', 'sleeky' ),
		'section'  => 'header_sidebar_menu',
		'default'  => esc_html__( 'info@example.com', 'sleeky' ),
		'priority' => 10,
		'required' => array(
			array(
				'setting'  => 'mobile_menu_onoff',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'         => 'repeater',
		'label'        => esc_html__( 'Mobile Menu Social', 'sleeky' ),
		'section'      => 'header_sidebar_menu',
		'priority'     => 10,
		'row_label'    => array(
			'type'  => 'text',
			'value' => esc_html__( 'Item', 'sleeky' ),
		),
		'button_label' => esc_html__( 'Add New', 'sleeky' ),
		'settings'     => 'social_repeater_setting',
		'default'      => array(
			array(
				'link_icon' => esc_html__( 'fa-twitter', 'sleeky' ),
				'link_url'  => '#',
			),
			array(
				'link_icon' => esc_html__( 'fa-facebook-square', 'sleeky' ),
				'link_url'  => '#',
			),
		),
		'fields'       => array(
			'link_icon' => array(
				'type'        => 'select',
				'label'       => esc_html__( 'Social Icon', 'sleeky' ),
				'description' => esc_html__( 'This will be the Social Icon', 'sleeky' ),
				'default'     => 'fa-facebook-square',
				'choices'     => array(
					'fa-twitter'         => esc_html__( 'fa-twitter', 'sleeky' ),
					'fa-facebook-square' => esc_html__( 'fa-facebook-square', 'sleeky' ),
					'fa-pinterest-p'     => esc_html__( 'fa-pinterest-p', 'sleeky' ),
					'fa-instagram'       => esc_html__( 'fa instagram', 'sleeky' ),
					'fa-youtube'         => esc_html__( 'fa youtube', 'sleeky' ),
					'elementor'          => esc_html__( 'elementor', 'sleeky' ),
					'facebook'           => esc_html__( 'facebook', 'sleeky' ),
					'github'             => esc_html__( 'github', 'sleeky' ),
					'gitlab'             => esc_html__( 'gitlab', 'sleeky' ),
					'globe'              => esc_html__( 'globe', 'sleeky' ),
					'houzz'              => esc_html__( 'houzz', 'sleeky' ),
					'jsfiddle'           => esc_html__( 'jsfiddle', 'sleeky' ),
					'linkedin'           => esc_html__( 'linkedin', 'sleeky' ),
					'medium'             => esc_html__( 'medium', 'sleeky' ),
					'meetup'             => esc_html__( 'meetup', 'sleeky' ),
					'mixcloud'           => esc_html__( 'mixcloud', 'sleeky' ),
					'odnoklassniki'      => esc_html__( 'odnoklassniki', 'sleeky' ),
					'pinterest'          => esc_html__( 'pinterest', 'sleeky' ),
					'product-hunt'       => esc_html__( 'product hunt', 'sleeky' ),
					'reddit'             => esc_html__( 'reddit', 'sleeky' ),
					'shopping-cart'      => esc_html__( 'shopping cart', 'sleeky' ),
					'skype'              => esc_html__( 'skype', 'sleeky' ),
					'slideshare'         => esc_html__( 'slideshare', 'sleeky' ),
					'snapchat'           => esc_html__( 'snapchat', 'sleeky' ),
					'soundcloud'         => esc_html__( 'soundcloud', 'sleeky' ),
					'spotify'            => esc_html__( 'spotify', 'sleeky' ),
					'stack-overflow'     => esc_html__( 'stack overflow', 'sleeky' ),
					'steam'              => esc_html__( 'steam', 'sleeky' ),
					'stumbleupon'        => esc_html__( 'stumbleupon', 'sleeky' ),
					'telegram'           => esc_html__( 'telegram', 'sleeky' ),
					'twitter'            => esc_html__( 'twitter', 'sleeky' ),
					'youtube'            => esc_html__( 'youtube', 'sleeky' ),
					'whatsapp'           => esc_html__( 'whatsapp', 'sleeky' ),
					'viber'              => esc_html__( 'viber', 'sleeky' ),

				),
			),
			'link_url'  => array(
				'type'        => 'text',
				'label'       => esc_html__( 'Social URL', 'sleeky' ),
				'description' => esc_html__( 'This will be the link URL', 'sleeky' ),
				'default'     => '',
			),
		),
		'required'     => array(
			array(
				'setting'  => 'mobile_menu_onoff',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_section(
	'breadcrumb_area',
	array(
		'title' => esc_html__( 'Breadcrumb area', 'sleeky' ),
		'panel' => $opt_pref,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_breadcrumb_switch',
		'label'    => esc_html__( 'Blog breadcrumb on off switch', 'sleeky' ),
		'section'  => 'breadcrumb_area',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'textarea',
		'settings' => 'blog_breadcrumb_content',
		'label'    => esc_html__( 'Blog breadcrumb title', 'sleeky' ),
		'section'  => 'breadcrumb_area',
		'default'  => esc_html__( 'Blog Page', 'sleeky' ),
		'priority' => 10,
		'required' => array(
			array(
				'setting'  => 'blog_breadcrumb_switch',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'select',
		'settings'    => 'breadcrumb_style',
		'label'       => esc_html__( 'Breadcrumb style', 'sleeky' ),
		'section'     => 'breadcrumb_area',
		'description' => esc_html__( 'Change blog Breadcrumb', 'sleeky' ),
		'placeholder' => esc_html__( 'Breadcrumb style', 'sleeky' ),
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => array(
			'1' => esc_html__( 'Style One', 'sleeky' ),
			'2' => esc_html__( 'Style Two', 'sleeky' ),
			'3' => esc_html__( 'Style Three', 'sleeky' ),
			'4' => esc_html__( 'Style Four', 'sleeky' ),
			'5' => esc_html__( 'Style Five', 'sleeky' ),
		),
		'default'     => '1',
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_single_breadcrumb_switch',
		'label'    => esc_html__( 'Blog Single breadcrumb on off switch', 'sleeky' ),
		'section'  => 'breadcrumb_area',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'textarea',
		'settings' => 'blog_single_breadcrumb_content',
		'label'    => esc_html__( 'Blog single breadcrumb title', 'sleeky' ),
		'section'  => 'breadcrumb_area',
		'default'  => esc_html__( 'Blog Details', 'sleeky' ),
		'priority' => 10,
		'required' => array(
			array(
				'setting'  => 'blog_single_breadcrumb_switch',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_section(
	'blog_section',
	array(
		'title' => esc_html__( 'Blog Section', 'sleeky' ),
		'panel' => $opt_pref,
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_grid_top_onoff_switch',
		'label'    => esc_html__( 'Blog Grid top on off switch', 'sleeky' ),
		'section'  => 'blog_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_post_view',
		'label'    => esc_html__( 'Post View On/Off', 'sleeky' ),
		'section'  => 'blog_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_authore_switch',
		'label'    => esc_html__( 'Author Box On/Off', 'sleeky' ),
		'section'  => 'blog_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_post_nav_switch',
		'label'    => esc_html__( 'Post Navigation On/Off', 'sleeky' ),
		'section'  => 'blog_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_related_post_switch',
		'label'    => esc_html__( 'Related Post On/Off', 'sleeky' ),
		'section'  => 'blog_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_related_product_switch',
		'label'    => esc_html__( 'Related Product On/Off', 'sleeky' ),
		'section'  => 'blog_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'blog_single_social',
		'label'    => esc_html__( 'Post Social Share On/Off', 'sleeky' ),
		'section'  => 'blog_section',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
// Footer Section Area
Kirki::add_section(
	'sleeky_footer',
	array(
		'title' => esc_html__( 'Footer Section', 'sleeky' ),
		'panel' => $opt_pref,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'select',
		'settings'    => 'footer_style',
		'label'       => esc_html__( 'Footer Style', 'sleeky' ),
		'section'     => 'sleeky_footer',
		'placeholder' => esc_html__( 'Select an style', 'sleeky' ),
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => array(
			'1' => esc_html__( 'Style One', 'sleeky' ),
			'2' => esc_html__( 'Style Two', 'sleeky' ),
			'3' => esc_html__( 'Style Three', 'sleeky' ),
		),
		'default'     => '1',
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'select',
		'settings'    => 'footer_template',
		'label'       => esc_html__( 'Footer Template', 'sleeky' ),
		'section'     => 'sleeky_footer',
		'placeholder' => esc_html__( 'Select an Elementor Template', 'sleeky' ),
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => sleeky_elementor_library(),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'footer_logo_on_off',
		'label'    => esc_html__( 'Footer Logo ON/OFF', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'image',
		'settings'    => 'footer_logo_image',
		'label'       => esc_html__( 'Footer Logo', 'sleeky' ),
		'description' => esc_html__( 'Description Here.', 'sleeky' ),
		'section'     => 'sleeky_footer',
		'default'     => esc_url( SLEEKY_IMG_URL . 'footer-logo.png' ),
		'choices'     => array(
			'save_as' => 'array',
		),
		'required'    => array(
			array(
				'setting'  => 'footer_logo_on_off',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'        => 'image',
		'settings'    => 'footer_logo_shape_image',
		'label'       => esc_html__( 'Footer Logo Shape', 'sleeky' ),
		'description' => esc_html__( 'Description Here.', 'sleeky' ),
		'section'     => 'sleeky_footer',
		'default'     => esc_url( SLEEKY_IMG_URL . 'shape-1.png' ),
		'choices'     => array(
			'save_as' => 'array',
		),
		'required'    => array(
			array(
				'setting'  => 'footer_logo_on_off',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'textarea',
		'settings' => 'footer_copyright',
		'label'    => esc_html__( 'Footer', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'footer_payment_title',
		'label'    => esc_html__( 'Payment Title', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'default'  => esc_html__( 'Payment Methods', 'sleeky' ),
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'         => 'repeater',
		'label'        => esc_html__( 'Payment Icons', 'sleeky' ),
		'section'      => 'sleeky_footer',
		'priority'     => 10,
		'row_label'    => array(
			'type'  => 'text',
			'value' => esc_html__( 'Icon', 'sleeky' ),
		),
		'button_label' => esc_html__( '"Add new"(optional) ', 'sleeky' ),
		'settings'     => 'footer_payment_icons',
		'fields'       => array(
			'icon_image' => array(
				'type'    => 'image',
				'label'   => esc_html__( 'Image', 'sleeky' ),
				'default' => '',
			),
			'icon_url'   => array(
				'type'    => 'text',
				'label'   => esc_html__( 'URL', 'sleeky' ),
				'default' => '',
			),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'footer_social_title',
		'label'    => esc_html__( 'Social Title', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'default'  => esc_html__( 'Follow Us', 'sleeky' ),
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'link',
		'settings' => 'footer_twitter_url',
		'label'    => esc_html__( 'Twitter URL', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'link',
		'settings' => 'footer_facebook_url',
		'label'    => esc_html__( 'Facebook URL', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'link',
		'settings' => 'footer_youtube_url',
		'label'    => esc_html__( 'Youtube URL', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'priority' => 10,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'link',
		'settings' => 'footer_instagram_url',
		'label'    => esc_html__( 'Instagram URL', 'sleeky' ),
		'section'  => 'sleeky_footer',
		'priority' => 10,
	)
);


Kirki::add_section(
	'sleeky_woocommerce',
	array(
		'title' => esc_html__( 'Woocommerce Section', 'sleeky' ),
		'panel' => $opt_pref,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'select',
		'settings' => 'shop_layout',
		'label'    => esc_html__( 'Shop Grid/List Layout', 'sleeky' ),
		'section'  => 'sleeky_woocommerce',
		'priority' => 10,
		'multiple' => 1,
		'choices'  => array(
			'grid' => esc_html__( 'Grid Layout', 'sleeky' ),
			'list' => esc_html__( 'List Layout', 'sleeky' ),
		),
		'default'  => 'grid',
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'select',
		'settings' => 'shop_page_top_category_template',
		'label'    => esc_html__( 'Shop Page Category Template', 'sleeky' ),
		'section'  => 'sleeky_woocommerce',
		'priority' => 10,
		'multiple' => 1,
		'choices'  => sleeky_elementor_library(),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'sleeky_payment_on_off_switch',
		'label'    => esc_html__( 'Payment Image ON/OFF', 'sleeky' ),
		'section'  => 'sleeky_woocommerce',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'text',
		'settings' => 'single_payment_title',
		'label'    => esc_html__( 'Payment Title', 'sleeky' ),
		'section'  => 'sleeky_woocommerce',
		'default'  => esc_html__( 'GUARANTEED SAFE CHECKOUT', 'sleeky' ),
		'priority' => 10,
		'required' => array(
			array(
				'setting'  => 'sleeky_payment_on_off_switch',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'         => 'repeater',
		'label'        => esc_html__( 'Payment Image', 'sleeky' ),
		'section'      => 'sleeky_woocommerce',
		'row_label'    => array(
			'type'  => 'text',
			'value' => esc_html__( 'Item', 'sleeky' ),
		),
		'button_label' => esc_html__( 'Add New', 'sleeky' ),
		'settings'     => 'visa_card_repeater_sett',
		'fields'       => array(
			'visa_image' => array(
				'type'  => 'image',
				'label' => esc_html__( 'Visa Card Image', 'sleeky' ),
			),
			'link_url'   => array(
				'type'  => 'text',
				'label' => esc_html__( 'Link URL', 'sleeky' ),
			),
		),
		'required'     => array(
			array(
				'setting'  => 'sleeky_payment_on_off_switch',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);

Kirki::add_section(
	'sleeky_typography_option',
	array(
		'title' => esc_html__( 'Typography', 'sleeky' ),
		'panel' => $opt_pref,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'switch',
		'settings' => 'enable_typography',
		'label'    => esc_html__( 'Enable or Disable Typography', 'sleeky' ),
		'section'  => 'sleeky_typography_option',
		'priority' => 10,
		'choices'  => array(
			'on'  => esc_html__( 'Enable', 'sleeky' ),
			'off' => esc_html__( 'Disable', 'sleeky' ),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'      => 'typography',
		'settings'  => 'sleeky_typography_setting',
		'label'     => esc_html__( 'Body Typography', 'sleeky' ),
		'section'   => 'sleeky_typography_option',
		'default'   => array(
			'font-family'    => '',
			'variant'        => '',
			'font-size'      => '',
			'line-height'    => '',
			'letter-spacing' => '',
			'color'          => '',
			'text-transform' => 'none',
			'text-align'     => '',
		),
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => array( 'body', 'p', 'ul', 'li', 'button', '.theme-btn', '.button', '.input-text', 'a' ),
			),
		),
		'required'  => array(
			array(
				'setting'  => 'enable_typography',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'      => 'typography',
		'settings'  => 'sleeky-heading-1-typograph',
		'label'     => esc_html__( 'H1 Font', 'sleeky' ),
		'section'   => 'sleeky_typography_option',
		'default'   => array(
			'font-family'    => '',
			'variant'        => '',
			'font-size'      => '',
			'line-height'    => '',
			'letter-spacing' => '',
			'color'          => '',
			'text-transform' => 'none',
			'text-align'     => '',
		),
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => array( 'h1' ),
			),
		),
		'required'  => array(
			array(
				'setting'  => 'enable_typography',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'      => 'typography',
		'settings'  => 'sleeky-heading-2-typograph',
		'label'     => esc_html__( 'H2 Font', 'sleeky' ),
		'section'   => 'sleeky_typography_option',
		'default'   => array(
			'font-family'    => '',
			'variant'        => '',
			'font-size'      => '',
			'line-height'    => '',
			'letter-spacing' => '',
			'color'          => '',
			'text-transform' => 'none',
			'text-align'     => '',
		),
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => array( 'h2' ),
			),
		),
		'required'  => array(
			array(
				'setting'  => 'enable_typography',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'      => 'typography',
		'settings'  => 'sleeky-heading-3-typograph',
		'label'     => esc_html__( 'H3 Font', 'sleeky' ),
		'section'   => 'sleeky_typography_option',
		'default'   => array(
			'font-family'    => '',
			'variant'        => '',
			'font-size'      => '',
			'line-height'    => '',
			'letter-spacing' => '',
			'color'          => '',
			'text-transform' => 'none',
			'text-align'     => '',
		),
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => array( 'h3' ),
			),
		),
		'required'  => array(
			array(
				'setting'  => 'enable_typography',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'      => 'typography',
		'settings'  => 'sleeky-heading-4-typograph',
		'label'     => esc_html__( 'H4 Font', 'sleeky' ),
		'section'   => 'sleeky_typography_option',
		'default'   => array(
			'font-family'    => '',
			'variant'        => '',
			'font-size'      => '',
			'line-height'    => '',
			'letter-spacing' => '',
			'color'          => '',
			'text-transform' => 'none',
			'text-align'     => '',
		),
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => array( 'h4' ),
			),
		),
		'required'  => array(
			array(
				'setting'  => 'enable_typography',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'      => 'typography',
		'settings'  => 'sleeky-heading-5-typograph',
		'label'     => esc_html__( 'H5 Font', 'sleeky' ),
		'section'   => 'sleeky_typography_option',
		'default'   => array(
			'font-family'    => '',
			'variant'        => '',
			'font-size'      => '',
			'line-height'    => '',
			'letter-spacing' => '',
			'color'          => '',
			'text-transform' => 'none',
			'text-align'     => '',
		),
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => array( 'h5' ),
			),
		),
		'required'  => array(
			array(
				'setting'  => 'enable_typography',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);

Kirki::add_field(
	$opt_pref,
	array(
		'type'      => 'typography',
		'settings'  => 'sleeky-heading-6-typograph',
		'label'     => esc_html__( 'H6 Font', 'sleeky' ),
		'section'   => 'sleeky_typography_option',
		'default'   => array(
			'font-family'    => '',
			'variant'        => '',
			'font-size'      => '',
			'line-height'    => '',
			'letter-spacing' => '',
			'color'          => '',
			'text-transform' => 'none',
			'text-align'     => '',
		),
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => array( 'h6' ),
			),
		),
		'required'  => array(
			array(
				'setting'  => 'enable_typography',
				'operator' => '==',
				'value'    => '1',
			),
		),
	)
);
Kirki::add_section(
	'sleeky_color_option',
	array(
		'title' => esc_html__( 'Color Option', 'sleeky' ),
		'panel' => $opt_pref,
	)
);
Kirki::add_field(
	$opt_pref,
	array(
		'type'     => 'color',
		'settings' => 'primary_color',
		'label'    => esc_html__( 'Primary Color', 'sleeky' ),
		'section'  => 'sleeky_color_option',
		'priority' => 10,
	)
);
