<?php
$no_post_thumbnail = '';
if ( ! has_post_thumbnail() ) {
	$no_post_thumbnail = 'no-post-thumbnail';
}
?>
<div class="news-block-two <?php echo esc_attr( $no_post_thumbnail ); ?>">
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="inner-box">
			<?php if ( has_post_thumbnail() ) : ?>
			<figure class="image-box"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail( 'sleeky-blog-list' ); ?></a></figure>
			<?php endif; ?>
			<div class="content-box">
				<?php
				if (is_sticky()) {
					echo '<div class="sticky_post_icon " title="' . esc_attr__('Sticky Post', 'sleeky') . '"><i class="fas fa-map-pin"></i></div>';
				}
				?>
				<h3><a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a></h3>
				<ul class="post-info clearfix">
					<?php sleeky_category_only(); ?>
					<?php sleeky_posted_on(); ?>
				</ul>
				<?php
				if (!empty(get_the_excerpt())) {
					if (get_option('rss_use_excerpt')) {
						the_excerpt();
					} else {
						the_excerpt();
					}
				}
				?>
				<ul class="other-option clearfix">
					<li><i class="far fa-user"></i><?php sleeky_posted_by(); ?></li>
					<?php do_action('sleeky_post_views');?>
					<li><i class="far fa-comments"></i><a href="<?php esc_url( the_permalink() ); ?>"><?php sleeky_comments_count(); ?></a></li>
				</ul>
			</div>
		</div>
	</div>
</div>
