<?php
/**
 * Template part for displaying posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package sleeky
 */

$blog_single_social = sleeky_get_options( 'blog_single_social' );
$no_post_thumbnail = '';
if ( ! has_post_thumbnail() ) {
	$no_post_thumbnail = 'no-post-thumbnail';
}
?>
<?php if ( has_post_thumbnail() ) : ?>
<figure class="upper-image"><?php the_post_thumbnail( 'full' ); ?></figure>
<?php endif; ?>
<div class="post-content <?php echo esc_attr( $no_post_thumbnail ); ?>">
		<div class="post-info clearfix">
			<ul class="left-info clearfix pull-left">
				<?php sleeky_category_only(); ?>
				<?php sleeky_posted_on(); ?>
			</ul>
			<ul class="right-info clearfix pull-right">
				<li><i class="far fa-user"></i><?php sleeky_posted_by(); ?></li>
				<?php do_action('sleeky_post_views');?>
				<li><i class="far fa-comments"></i><a href="<?php esc_url( the_permalink() ); ?>"><?php sleeky_comments_count(); ?></a></li>
			</ul>
		</div>
	<div class="sleeky-blog-single-post-content">
	<?php
	the_content();
	wp_link_pages(
		array(
			'before' => '<div class="page-links post-single-link">',
			'after'  => '</div>',
		)
	);
	?>
	</div>
	<?php  do_action( 'sleeky_related_products' ); ?>
	<?php if ( has_tag() || $blog_single_social == '1' ) { ?>
		<div class="post-share-option clearfix">
			<?php if ( has_tag()) : ?>
			<ul class="tags-list pull-left clearfix">
			<?php sleeky_tag_list(); ?>
			</ul>
			<?php endif;?>
			<?php if ( $blog_single_social == '1' ) : ?>
			<ul class="share-links pull-right clearfix">
				<li><span><?php esc_html_e( 'Share', 'sleeky' ); ?></span></li>
				<?php do_action( 'sleeky_blog_social' ); ?>
			</ul>
			<?php endif; ?>
		</div>
		<?php
	}
	do_action( 'sleeky_authore_box' );
	do_action( 'sleeky_posts_nav' );
	do_action( 'sleeky_related_posts' );

	if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif;
	?>
</div>
